<?php
if(!session_id()) session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['ubicacion']) $ubicacion=$_GET['ubicacion']; else $ubicacion=$_POST['ubicacion'];

$lotesUbicacionActual=array();

//10-2-2022 estos datos los pasamos por post porque el session_start(); hace que se ralentice hasta el extremo
$verEnCajas=$_POST['verEnCajas'];
$combinacionesUbicacionesContenedores=unserialize($_POST['combinacionesUbicacionesContenedores']);

foreach($combinacionesUbicacionesContenedores as $item) {
	if($item['Ubicacion']==$ubicacion) {
		if(!in_array($item['Lote'],$lotesUbicacionActual)) $lotesUbicacionActual[]=$item;
	}
}

//14-02-2023
$mantenerSerie=$_POST['mantenerSerie'];
$mantenerEntrada=$_POST['mantenerEntrada'];
$mantenerDocEntrada=$_POST['mantenerDocEntrada'];

//14-05-2026 TAREA INTERNA 75040
$mostrarPaisOrigen=(isset($_SESSION['parametrosSGA']['GestionPaisOrigen']) && $_SESSION['parametrosSGA']['GestionPaisOrigen']=='S');

if($_POST['pedirFechaCaducidad']=='true') $pedirFechaCaducidad=true;

if( count($lotesUbicacionActual)>0 ) {

	if( count($lotesUbicacionActual)>1 ) {

		?>
		<p>Lotes de este producto disponibles en la Ubicación <?php echo $ubicacion; ?></p>
		<table class="tablaFormateada">
		<tr>
			<th>Lote</th>
            <?php if($pedirFechaCaducidad) { ?><th>Fecha Caducidad</th><?php } ?>
            
            <?php if($mostrarPaisOrigen) { ?>
            <th>País origen</th>
            <?php } ?>
            
            <?php if($mantenerSerie) { ?><th>Nº Serie</th><?php } ?>
			<?php if($mantenerEntrada) { ?><th>Entrada</th><?php } ?>
            <?php if($mantenerDocEntrada) { ?><th>Documento</th><?php } ?>
            
			<th>Stock</th>
			<?php if($verEnCajas=='S') { ?><th>Cajas</th><?php } ?>
			<th></th>
		</tr>
		<?php
		foreach($lotesUbicacionActual as $item) {
			?>
			<tr class="selectorLote <?php if($pedirFechaCaducidad) { ?><?php if($item['FechaCaducidadEstado']=='CADUCADO') { ?>rojo<?php } ?><?php if($item['FechaCaducidadEstado']=='PROXIMOACADUCAR') { ?>azul<?php } ?><?php } ?>" lote="<?php echo $item['Lote']; ?>" fechaCaducidad="<?php echo fechaNacional(fechaDesdeProxium($item['FechaCaducidad'])); ?>" FechaCaducidadEstado="<?php echo $item['FechaCaducidadEstado']; ?>" paisOrigen="<?php if(isset($item['PaisOrigenCodigo'])) echo $item['PaisOrigenCodigo']; ?>">
				<td><?php echo $item['Lote']; ?></td>
                <?php if($pedirFechaCaducidad) { ?><td><?php echo fechaNacional(fechaDesdeProxium($item['FechaCaducidad'])); ?></td><?php } ?>
                
                <?php if($mostrarPaisOrigen) { ?>
                <td><?php echo $item['PaisOrigenCodigo']; ?></th>
                <?php } ?>
                
                <?php if($mantenerSerie) { ?><td><?php echo $item['NumSerie']; ?></td><?php } ?>
				<?php if($mantenerEntrada) { ?><td><?php echo $item['NumEntrada']; ?></td><?php } ?>
                <?php if($mantenerDocEntrada) { ?><td><?php echo $item['NumDocEntrada']; ?></td><?php } ?> 
                
				<td align="right"><?php echo formateaNumeroDecimal($item['Stock']); ?><?php //echo number_format($item['Stock'],0,',','.'); ?></td>
				<?php if($verEnCajas=='S') { ?><td align="right"><?php echo formateaNumeroDecimal($item['StockCajas']); ?><?php //echo number_format($item['StockCajas'],0,',','.'); ?></td><?php } ?>
				<td><img src="<?php echo DIR_IMAGENES; ?>/select.png" alt="Seleccionar" width="50" height="50" class="clicable"/></td>
			</tr>
			<?php
		}
		?>
		</table>
        
	<?php
    }
	else {
		$loteUnico=$lotesUbicacionActual[0]['Lote'];
		$fechaCaducidadLoteUnico=fechaNacional(fechaDesdeProxium($lotesUbicacionActual[0]['FechaCaducidad']));
		$FechaCaducidadEstadoUnico=$lotesUbicacionActual[0]['FechaCaducidadEstado'];
		//echo "<p>En el contenedor ".$contenedor." solo existe el lote: ".$loteUnico." con fecha cad: ".$fechaCaducidadLoteUnico."</p>";
		if(isset($lotesUbicacionActual[0]['PaisOrigenCodigo'])) $paisOrigenUnico=$lotesUbicacionActual[0]['PaisOrigenCodigo']; else $paisOrigenUnico='';
		echo "unico";
	}
	
} else {

	?><p>No hay Lotes disponibles de este producto en la Ubicación <?php echo $ubicacion; ?></p><?php
    
}
?>
    
<p><input type="submit" name="aceptarBusquedaLotes" id="aceptarBusquedaLotes" value="Aceptar" class="boton botonSecundario"/></p>

<script>

$(document).ready(function() {

	<?php if( count($lotesUbicacionActual)>1 ) { ?>

		$('.selectorLote').on('click',function(e){
			
			e.preventDefault();
			
			var foco='lote';
			
			var lote=$(this).attr('lote');
			$('#lote').val( lote );
			
			<?php if($pedirFechaCaducidad) { ?>
				
				var fechaCaducidad=$(this).attr('fechaCaducidad');
				$('#fechaCaducidad').val(fechaCaducidad);
				foco='fechaCaducidad';
				
				var FechaCaducidadEstado=$(this).attr('FechaCaducidadEstado');
				$('#FechaCaducidadEstado').val(FechaCaducidadEstado);
			
			<?php } ?>
			
			<?php if($mostrarPaisOrigen) { ?>
			var paisOrigen=$(this).attr('paisOrigen');
			$('#paisOrigen').val( paisOrigen );
			<?php } ?>
			
			$('#popupBusqueda').hide();
			$('#popupBusquedaContenido').hide();
			
		});
	
		$('#aceptarBusquedaLotes').on('click',function(e){
			
			e.preventDefault();
			
			$('#popupBusqueda').hide();
			$('#popupBusquedaContenido').hide();
			
		});
	
	<?php } else { ?>
	
		var foco='lote';
		$('#lote').val( '<?php echo $loteUnico; ?>' );
		
		
		<?php if($pedirFechaCaducidad) { ?>
			$('#fechaCaducidad').removeClass('campoError');
			$('#fechaCaducidad').val( '<?php echo $fechaCaducidadLoteUnico; ?>' );
			$('#FechaCaducidadEstado').val('<?php echo $FechaCaducidadEstadoUnico; ?>');
			foco='fechaCaducidad';
		<?php } ?>
		
		<?php if($mostrarPaisOrigen) { ?>
		$('#paisOrigen').val( '<?php echo $paisOrigenUnico; ?>' );
		<?php } ?>
		
		$('#popupBusqueda').hide();
		$('#popupBusquedaContenido').hide();
		
		<?php if($loteUnico) { ?>
		bloqueaCampoLote(true);
		<?php if($fechaCaducidadLoteUnico) { ?>bloqueaCampoFechaCaducidad(true);<?php } ?>
		cambiaFocoSecuenciaAutomatica(); //??
		<?php } ?>
	
	
	<?php } ?>
	
});

</script>